fdb (5.19.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add d/gbp.conf
  * New upstream release
  * B-D on python3-sphinxdoc-mermaid, python3-sphinx,autoapi

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jan 2026 07:59:58 +0000

fdb (5.18.3-1) unstable; urgency=medium

  * New upstream release
  * Include .so files for daos libs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Dec 2025 09:43:23 +0000

fdb (5.18.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Nov 2025 13:45:59 +0000

fdb (5.18.1-1) unstable; urgency=medium

  * New upstream release
  * Bump the version deps for eckit, metkit to 1.32.3-1, 1.15.1
  * Move d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Nov 2025 07:34:45 +0000

fdb (5.18.0-1) unstable; urgency=medium

   * New upstream release
   * Increase the versions on eckit, metkit dependencies

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Oct 2025 08:21:02 +0100

fdb (5.17.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Sep 2025 09:16:09 +0100

fdb (5.17.4-2) unstable; urgency=medium

  * Enable FDB documentation, test DAOS building
  * B-D on python3-sphinx-book-theme, python3-breathe for sphinx
  * Temp. disable daos (dummy) stuff

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Aug 2025 10:14:47 +0100

fdb (5.17.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Aug 2025 10:04:00 +0100

fdb (5.17.3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Jul 2025 10:07:04 +0100

fdb (5.17.2-1) experimental; urgency=medium

  * New upstream release
  * dep-on-libc.patch: plugins must link against libc for versioning
  * Add libdaos and tests libs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Jul 2025 09:37:14 +0100

fdb (5.17.1-1) experimental; urgency=medium

  * New upstream release
  * Add daos: headers and libs
  * Add lintian override on libc warning on dummy lib
  * Replace old FSF address in d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Jul 2025 10:27:52 +0100

fdb (5.17.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jun 2025 11:38:18 +0100

fdb (5.16.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 May 2025 05:37:43 +0100

fdb (5.16.1-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on libmetkit-dev >= 1.13.1-2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 May 2025 08:30:33 +0100

fdb (5.15.15-1) experimental; urgency=medium

  * New upstream release
  * B-D on metkit > 1.31.1. Closes: #1104354

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 May 2025 09:36:07 +0100

fdb (5.15.12-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 10:44:10 +0100

fdb (5.15.11-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Mar 2025 09:28:50 +0000

fdb (5.15.9-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Use PMEM on appropriate archs
  * Change dependence on libeckit to pull in RADOS support
  * Update arch support for RADOS
  * rados.patch: compile changes needed for FileStore -> URIStore
     Under development; currently disabled

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Mar 2025 12:47:31 +0000

fdb (5.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Feb 2025 18:32:59 +0000

fdb (5.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Feb 2025 17:08:03 +0000

fdb (5.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Feb 2025 09:09:23 +0000

fdb (5.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 10:00:38 +0000

fdb (5.14.0-1) unstable; urgency=medium

  * Drop kfreebsd, ia64 support
  * New upstream  release
  * Now depend on libeckit-dev >=1.25.0-1~, libmetkit-dev >= 1.12.0-1~

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2025 03:32:04 +0000

fdb (5.14.0~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Sep 2024 10:45:35 +0100

fdb (5.13.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Aug 2024 06:07:56 +0100

fdb (5.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Apr 2024 09:05:55 +0100

fdb (5.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Apr 2024 11:13:00 +0100

fdb (5.11.113-1) unsrable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2024 08:44:56 +0100

fdb (5.11.112-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Mar 2024 06:57:40 +0000

fdb (5.11.111-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Mar 2024 09:39:29 +0000

fdb (5.11.110-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 16:06:09 +0000

fdb (5.11.108-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 13:17:54 +0000

fdb (5.11.107-1) unstable; urgency=medium

  * New upstream release
  
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Mar 2024 07:02:27 +0000

fdb (5.11.105-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Mar 2024 15:59:14 +0000

fdb (5.11.104-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Feb 2024 08:24:12 +0000

fdb (5.11.103-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Feb 2024 08:52:31 +0000

fdb (5.11.101-1) unstable; urgency=medium

  * New upstream release
  * Move from pkg-config to pkgconf
  * Remove RPATH from fdb-move

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Feb 2024 09:03:59 +0000

fdb (5.11.99-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Jan 2024 08:37:24 +0000

fdb (5.11.98-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 06:33:55 +0000

fdb (5.11.94-1) unstable; urgency=medium

  * New upstream release. Closes: #1058345

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Dec 2023 08:13:59 +0000

fdb (5.11.25-1) unstable; urgency=medium

  * New upstream release
  * Switch to arch: any instead of hard-coded  arch list
  * Update NORADOS arch list in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Nov 2023 09:39:40 +0000

fdb (5.11.23-2) unstable; urgency=medium

  * B-D on architecture-is-64-bit, drop arch deps on librados-dev,
    build with libpmem-dev on riscv64

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 16:25:50 +0100

fdb (5.11.23-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Sep 2023 10:50:22 +0100

fdb (5.11.17-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Jun 2023 08:58:24 +0100

fdb (5.11.14-2) unstable; urgency=medium

  * Push to unstable
  * Debhelper needs to be =13

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:30:36 +0100

fdb (5.11.14-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 May 2023 09:13:27 +0100

fdb (5.11.10-1) experimental; urgency=medium

  * New upstream release
  * Debhelper compat level 15

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 May 2023 10:06:19 +0100

fdb (5.11.7-2) experimental; urgency=medium

  * Standards-Version: 4.6.2
  * Rebuild against latest eckit

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Apr 2023 11:06:55 +0100

fdb (5.11.7-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 11:15:02 +0000

fdb (5.10.8-2) unstable; urgency=medium

  * Fix includes in cmake files

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2022 18:07:03 +0100

fdb (5.10.8-1) unstable; urgency=medium

  * New upstream release
  * Ship example conf files in /etc/fdb/*
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Jun 2022 10:25:55 +0100

fdb (5.10.2-1) unstable; urgency=medium

  * New upstream release
  * Now build-dep on libmetkit-dev >= 1.8.10
  * Start bash-completion scripts	

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Feb 2022 09:45:37 +0000

fdb (5.9.2-2) unstable; urgency=medium

  * Drop 32-bit archs as eckit is now 64-bit only

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Oct 2021 10:16:07 +0100

fdb (5.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Sep 2021 09:42:48 +0100

fdb (5.8.6-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 05:18:15 +0100

fdb (5.8.6-1) experimental; urgency=medium

  * New upstream release
  * Fix typo in d/rules to enable PMEM where possible

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Jun 2021 09:51:58 +0100

fdb (5.8.4-1) experimental; urgency=medium

  * New upstream release
  * Include orig-data.tar.xz for regression tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Jun 2021 08:53:45 +0100

fdb (5.8.2-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete adjust-metkit-changes.patch
  * Enable tests with lib path in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Jun 2021 12:55:33 +0100

fdb (5.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 May 2021 14:33:44 +0100

fdb (5.7.0-6) unstable; urgency=medium

  * QA upload.

  [ Sergio Durigan Junior ]
  * d/p/adjust-metkit-changes.patch: Adjust code to reflect metkit changes.
    Fix FTBFS. (Closes: #987934)

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 03 May 2021 16:05:26 +0200

fdb (5.7.0-5) unstable; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 13:25:53 +0000

fdb (5.7.0-4) unstable; urgency=medium

  * Build-dep on libodc-dev needed.  Closes: #975204
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Nov 2020 12:04:33 +0000

fdb (5.7.0-3) unstable; urgency=medium

  * Only use pmem,rados on archs they're available on

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Nov 2020 20:33:45 +0000

fdb (5.7.0-2) unstable; urgency=medium

  * B-D on libeccodes-tools, libmetkit-utils, libopenjp2-7-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2020 07:17:40 +0000

fdb (5.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #972873)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Oct 2020 16:53:46 +0000
